
import { load_conf, validate_conf } from './conf';
import { OIDCProvider } from './security/openid-connect';
import { PKCECookieProvider } from './security/pkce-cookie';

main();

async function main() {
	// Load and validate configuration
	const conf = await load_conf();
	validate_conf(conf);

	// Create all of the core feature providers
	const oidc = new OIDCProvider(conf.oidc);
	const pkce_cookie = new PKCECookieProvider(conf.pkce_cookie);
	// const session_cookie = new SessionCookieProvider(conf.session_cookie);

	// Wait for any async init steps
	await oidc.ready;
}
